<?php

namespace Drupal\content_moderation_bulk_state_change\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Defines a configuration form.
 */
class ContentModerationBulkStateChangeSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['content_moderation_bulk_state_change.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'content_moderation_bulk_state_change_settings_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('content_moderation_bulk_state_change.settings');

    $form['new_revision'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Create new revision?'),
      '#default_value' => $config->get('new_revision'),
      '#description' => $this->t('Should the update create a new revision or update the existing revision?'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);

    $this->config('content_moderation_bulk_state_change.settings')
      ->set('new_revision', $form_state->getValue('new_revision'))
      ->save();
  }

}
